CREATE TABLE CRST_FA_BOOKS
(
  BOOK_TYPE_CODE                 VARCHAR2(15 BYTE),
  ASSET_ID                       NUMBER(15),
  DATE_PLACED_IN_SERVICE         DATE,
  DATE_EFFECTIVE                 DATE,
  DEPRN_START_DATE               DATE,
  DEPRN_METHOD_CODE              VARCHAR2(12 BYTE),
  LIFE_IN_MONTHS                 NUMBER(4),
  RATE_ADJUSTMENT_FACTOR         NUMBER,
  ADJUSTED_COST                  NUMBER,
  COST                           NUMBER,
  ORIGINAL_COST                  NUMBER,
  SALVAGE_VALUE                  NUMBER,
  PRORATE_CONVENTION_CODE        VARCHAR2(10 BYTE),
  PRORATE_DATE                   DATE,
  COST_CHANGE_FLAG               VARCHAR2(3 BYTE),
  ADJUSTMENT_REQUIRED_STATUS     VARCHAR2(4 BYTE),
  CAPITALIZE_FLAG                VARCHAR2(3 BYTE),
  RETIREMENT_PENDING_FLAG        VARCHAR2(3 BYTE),
  DEPRECIATE_FLAG                VARCHAR2(3 BYTE),
  LAST_UPDATE_DATE               DATE,
  LAST_UPDATED_BY                NUMBER(15),
  DATE_INEFFECTIVE               DATE,
  TRANSACTION_HEADER_ID_IN       NUMBER(15),
  TRANSACTION_HEADER_ID_OUT      NUMBER(15),
  ITC_AMOUNT_ID                  NUMBER(15),
  ITC_AMOUNT                     NUMBER,
  RETIREMENT_ID                  NUMBER(15),
  TAX_REQUEST_ID                 NUMBER(15),
  ITC_BASIS                      NUMBER,
  BASIC_RATE                     NUMBER,
  ADJUSTED_RATE                  NUMBER,
  BONUS_RULE                     VARCHAR2(30 BYTE),
  CEILING_NAME                   VARCHAR2(30 BYTE),
  RECOVERABLE_COST               NUMBER,
  LAST_UPDATE_LOGIN              NUMBER(15),
  ADJUSTED_CAPACITY              NUMBER,
  FULLY_RSVD_REVALS_COUNTER      NUMBER(5),
  IDLED_FLAG                     VARCHAR2(3 BYTE),
  PERIOD_COUNTER_CAPITALIZED     NUMBER(15),
  PERIOD_COUNTER_FULLY_RESERVED  NUMBER(15),
  PERIOD_COUNTER_FULLY_RETIRED   NUMBER(15),
  PRODUCTION_CAPACITY            NUMBER,
  REVAL_AMORTIZATION_BASIS       NUMBER,
  REVAL_CEILING                  NUMBER,
  UNIT_OF_MEASURE                VARCHAR2(25 BYTE),
  UNREVALUED_COST                NUMBER,
  ANNUAL_DEPRN_ROUNDING_FLAG     VARCHAR2(5 BYTE),
  PERCENT_SALVAGE_VALUE          NUMBER,
  ALLOWED_DEPRN_LIMIT            NUMBER,
  ALLOWED_DEPRN_LIMIT_AMOUNT     NUMBER,
  PERIOD_COUNTER_LIFE_COMPLETE   NUMBER(15),
  ADJUSTED_RECOVERABLE_COST      NUMBER,
  ANNUAL_ROUNDING_FLAG           VARCHAR2(5 BYTE),
  GLOBAL_ATTRIBUTE1              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE2              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE3              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE4              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE5              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE6              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE7              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE8              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE9              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE10             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE11             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE12             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE13             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE14             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE15             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE16             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE17             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE18             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE19             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE20             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE_CATEGORY      VARCHAR2(30 BYTE),
  EOFY_ADJ_COST                  NUMBER,
  EOFY_FORMULA_FACTOR            NUMBER,
  SHORT_FISCAL_YEAR_FLAG         VARCHAR2(3 BYTE),
  CONVERSION_DATE                DATE,
  ORIGINAL_DEPRN_START_DATE      DATE,
  REMAINING_LIFE1                NUMBER(4),
  REMAINING_LIFE2                NUMBER(4),
  OLD_ADJUSTED_COST              NUMBER,
  FORMULA_FACTOR                 NUMBER,
  GROUP_ASSET_ID                 NUMBER(15),  
  DUMMY                           CHAR(1),
  LAST_UPDATED_NAME               VARCHAR2(100)
);
